@brand-warning:             #f0ad4e;
@padding-base-vertical:     6px;
@padding-base-horizontal:   12px;
@table-bg-accent:           #f9f9f9;
@table-bg-hover:            #f5f5f5;
@table-border-color:        #ddd;
@border-radius-base:        4px;

@column-width:              160px;


.noticeboard {
    > * {
        padding: @padding-base-vertical 0 @padding-base-vertical @padding-base-horizontal;
        float: left;
        height: 100%;
        > * {
            padding: @padding-base-vertical 0 @padding-base-vertical @padding-base-horizontal;
        }
    }
    > .nav-box {
        width: 20%;
    }
    > .content-box {
        width: 80%;
        > .notes-box, > .files-box {
            > * {
                padding: @padding-base-vertical @padding-base-horizontal;
                display: flex;
                > span {
                    flex: 1 0 0;
                }
                > .author,
                > .date {
                    flex: 0 0 @column-width;
                }
            }
            > .header {
                flex-wrap: nowrap;
            }
            > .entry {
                flex-wrap: wrap;
                &.disabled {
                    background-color: lighten(@brand-warning, 20%) !important;
                    cursor: not-allowed !important;
                    .icon {
                        cursor: not-allowed !important;
                    }
                }
                > .content {
                    padding: @padding-base-vertical 0 @padding-base-vertical @padding-base-horizontal;
                    white-space: pre-wrap;
                    flex: 1 0 100%;
                }
                .fa {
                    cursor: pointer;
                    margin-left: 5px;
                }
                .caret-right {
                    border-top: 4px solid transparent;
                    border-right: 0;
                    border-bottom: 4px solid transparent;
                    border-left: 4px solid #000;
                }
            }
            > .entry:nth-child(even) {
                background-color: @table-bg-accent;
            }
            > .entry:hover {
                background-color: @table-bg-hover;
            }
        }
    }
}